import React from 'react';
import { StyleSheet, TouchableOpacity, View } from 'react-native';
const CloseIcon = ({
  notification,
  styles,
  onDelete
}) => {
  const icon = [];
  for (let i = 0; i < 2; i++) icon.push( /*#__PURE__*/React.createElement(View, {
    key: i,
    style: [style.closeIconLine, styles.closeIcon, {
      transform: [{
        rotate: `${45 + i * 90}deg`
      }]
    }]
  }));
  return /*#__PURE__*/React.createElement(TouchableOpacity, {
    hitSlop: {
      top: 10,
      right: 10,
      left: 10,
      bottom: 10
    },
    onPress: () => onDelete(notification.id),
    style: [style.closeButton, styles.closeButton],
    testID: "delete-button"
  }, /*#__PURE__*/React.createElement(React.Fragment, null, icon));
};
const style = StyleSheet.create({
  closeIconLine: {
    marginVertical: 2,
    width: '100%',
    borderRadius: 1,
    position: 'absolute'
  },
  closeButton: {
    overflow: 'hidden',
    justifyContent: 'center',
    opacity: 0.8
  }
});
export default CloseIcon;
//# sourceMappingURL=closeIcon.js.map