import { type ReactElement } from 'react';
import type { SirenStyleProps } from '../types';
/**
 * `EmptyWindow` is a React component designed to display a message indicating that a list is currently empty.
 *
 * @component
 * @example
 * <EmptyWindow
 *   styles={customStyles}
 * />
 *
 * @param {Object} props.styles - Custom styles applied to the empty window.
 */
declare const EmptyWindow: (props: {
    styles: Partial<SirenStyleProps>;
    darkMode: boolean;
}) => ReactElement;
export default EmptyWindow;
//# sourceMappingURL=emptyWindow.d.ts.map