import { type ReactElement } from 'react';
import type { SirenStyleProps } from '../types';
/**
 * `ErrorWindow` is a React component that displays an error message and provides a retry button.
 *
 * @component
 * @example
 * <ErrorWindow
 *   styles={customErrorStyles}
 *   onRetry={() => console.log('Retry action triggered')}
 * />
 *
 * @param {Object} props.styles - Custom styles applied to the error window
 * @param {Function} props.onRetry - A callback function that is invoked when the user presses the refresh button.
 */
declare const ErrorWindow: (props: {
    styles: Partial<SirenStyleProps>;
    darkMode: boolean;
    customErrorWindow?: JSX.Element | null;
}) => ReactElement;
export default ErrorWindow;
//# sourceMappingURL=errorWindow.d.ts.map