import { type ReactElement } from 'react';
import type { SirenStyleProps } from '../types';
type LoadingWindowProps = {
    styles: Partial<SirenStyleProps>;
    customLoader?: JSX.Element | null;
};
/**
 * Displays a loading indicator within a window,
 *
 * @component
 * @example
 * <LoadingWindow
 *   styles={customStyles}
 * />
 *
 * @param {Object} props - The properties passed to the component.
 * @param {Object} props.styles - Custom styles applied to the loading window container.
 * @param {Object} props.customLoader - Custom loader to be displayed within the loading window container.
 */
declare const LoadingWindow: (props: LoadingWindowProps) => ReactElement;
export default LoadingWindow;
//# sourceMappingURL=loadingWindow.d.ts.map