import { type ReactElement } from 'react';
import type { ThemeProps } from '../types';
import { type Constants } from '../utils';
type SpinnerProps = {
    mode: Constants.ThemeMode;
    theme: ThemeProps;
};
/**
 * Displays a loading indicator in list footer,
 *
 * @component
 * @example
 * <Spinner
 *   styles={customStyles}
 *   mode="light"
 *   theme={customThemeProps}
 * />
 *
 * @param {Object} props - The properties passed to the component.
 * @param {Object} props.styles - Custom styles applied to the loading window container.
 * @param {ThemeMode} props.mode - The theme mode: 'light' or 'dark' mode
 * @param {ThemeProps} [props.theme] - Optional theme properties to customize the appearance.
 */
declare const Spinner: (props: SpinnerProps) => ReactElement;
export default Spinner;
//# sourceMappingURL=spinner.d.ts.map