export declare const COLORS: {
    light: {
        primaryColor: string;
        highlightedCardColor: string;
        textColor: string;
        neutralColor: string;
        borderColor: string;
        dateColor: string;
        deleteIcon: string;
        timerIcon: string;
        clearAllIcon: string;
        infiniteLoader: string;
    };
    dark: {
        primaryColor: string;
        highlightedCardColor: string;
        textColor: string;
        neutralColor: string;
        borderColor: string;
        dateColor: string;
        deleteIcon: string;
        timerIcon: string;
        clearAllIcon: string;
        infiniteLoader: string;
    };
};
export declare enum VerificationStatus {
    PENDING = "PENDING",
    SUCCESS = "SUCCESS",
    FAILED = "FAILED"
}
export declare enum ThemeMode {
    DARK = "dark",
    LIGHT = "light"
}
export declare enum LogLevel {
    INFO = 0,
    ERROR = 1
}
export declare enum BadgeType {
    NONE = "none",
    DOT = "dot",
    DEFAULT = "default"
}
export declare const defaultBadgeStyle: {
    size: number;
    color: string;
    textColor: string;
    textSize: number;
};
export declare const levelLogFns: {
    0: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
    1: {
        (...data: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
        (message?: any, ...optionalParams: any[]): void;
    };
};
export declare enum eventTypes {
    MARK_ITEM_AS_VIEWED = "MARK_ITEM_AS_VIEWED",
    MARK_ITEM_AS_READ = "MARK_ITEM_AS_READ",
    MARK_ALL_AS_READ = "MARK_ALL_AS_READ",
    DELETE_ITEM = "DELETE_ITEM",
    DELETE_ALL_ITEM = "DELETE_ALL_ITEM",
    NEW_NOTIFICATIONS = "NEW_NOTIFICATIONS",
    UPDATE_NOTIFICATIONS_COUNT = "UPDATE_NOTIFICATIONS_COUNT",
    RESET_NOTIFICATIONS = "RESET_NOTIFICATIONS",
    RESET_NOTIFICATIONS_COUNT = "RESET_NOTIFICATIONS_COUNT"
}
export declare enum events {
    NOTIFICATION_LIST_EVENT = "NOTIFICATION_LIST_EVENT",
    NOTIFICATION_COUNT_EVENT = "NOTIFICATION_COUNT_EVENT"
}
export declare const LIST_EMPTY_TEXT = "No new notifications";
export declare const LIST_EMPTY_DESCRIPTION = "Check back later for updates and alerts";
export declare const ERROR_TEXT = "Oops! Something went wrong.";
export declare const ERROR_DESCRIPTION = "Could not load the notifications. Please refresh the page.";
export declare const DEFAULT_WINDOW_TITLE = "Notifications";
export declare const RETRY_BUTTON_LABEL = "Retry";
export declare const CLEAR_ALL_LABEL = "Clear All";
export declare const IN_APP_RECIPIENT_UNAUTHENTICATED = "IN_APP_RECIPIENT_UNAUTHENTICATED";
export declare const TOKEN_VERIFICATION_PENDING = "TOKEN_VERIFICATION_PENDING";
export declare const MAXIMUM_RETRY_COUNT = 3;
export declare const MAXIMUM_ITEMS_PER_FETCH = 50;
export declare const errorMap: {
    SIREN_OBJECT_NOT_FOUND: {
        Type: string;
        Code: string;
        Message: string;
    };
    MISSING_PARAMETER: {
        Type: string;
        Code: string;
        Message: string;
    };
};
export declare const defaultStyles: {
    notificationIcon: {
        size: number;
    };
    window: {
        width: string;
        height: string;
    };
    windowHeader: {
        height: number;
        titleFontWeight: string;
        titleSize: number;
        closeIconSize: number;
        titlePadding: number;
        borderWidth: number;
    };
    windowContainer: {
        padding: number;
    };
    notificationCard: {
        padding: number;
        borderWidth: number;
        avatarSize: number;
        titleFontWeight: string;
        titleSize: number;
        descriptionSize: number;
        dateSize: number;
    };
    badgeStyle: {
        size: number;
        textSize: number;
    };
    deleteIcon: {
        size: number;
    };
    dateIcon: {
        size: number;
    };
    clearAllIcon: {
        size: number;
    };
};
//# sourceMappingURL=constants.d.ts.map